summaryrefslogtreecommitdiffstats
path: root/testing/python3
diff options
context:
space:
mode:
Diffstat (limited to 'testing/python3')
-rw-r--r--testing/python3/APKBUILD54
1 files changed, 54 insertions, 0 deletions
diff --git a/testing/python3/APKBUILD b/testing/python3/APKBUILD
new file mode 100644
index 000000000..489562fc3
--- /dev/null
+++ b/testing/python3/APKBUILD
@@ -0,0 +1,54 @@
+# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+pkgname=python3
+pkgver=3.2.0
+_pkgver=3.2
+pkgrel=0
+pkgdesc="A high-level scripting language"
+url="http://www.python.org"
+arch="all"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-tests"
+depends=
+makedepends="expat-dev openssl-dev zlib-dev ncurses-dev bzip2-dev
+ sqlite-dev libffi-dev tcl-dev"
+source="http://www.python.org/ftp/python/$_pkgver/Python-$_pkgver.tar.bz2"
+
+_builddir="$srcdir"/Python-$_pkgver
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --enable-shared \
+ --with-threads \
+ --with-system-ffi \
+ --enable-unicode=ucs4 \
+ --with-dbmliborder=ndbm \
+ || return 1
+
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
+ mv "$pkgdir"/usr/bin/2to3 "$pkgdir"/usr/bin/2to3-3.1
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+_mv_files() {
+ cd "$pkgdir"/usr/lib/python$_pkgver
+ for i in */test */tests; do
+ mkdir -p "$subpkgdir"/usr/lib/python$_pkgver/"$i"
+ mv "$i"/* "$subpkgdir"/usr/lib/python$_pkgver/"$i"
+ rm -rf "$i"
+ done
+ mv "$pkgdir"/usr/lib/python$_pkgver/test "$subpkgdir"/usr/lib/python$_pkgver
+}
+
+tests() {
+ pkgdesc="The test modules from the main python package"
+ arch="noarch"
+ cd "$pkgdir"
+ _mv_files
+}
+
+md5sums="92e94b5b6652b96349d6362b8337811d Python-3.2.tar.bz2"